Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client
Class HttpEventListenerWrapper

    java.lang.Object
      org.mortbay.jetty.client.HttpEventListenerWrapper

All Implemented Interfaces:
  HttpEventListener

Direct Known Subclasses:
  SecurityListener, WebdavListener

    public class HttpEventListenerWrapper

extends java.lang.Object
implements HttpEventListener

Constructor Summary
`HttpEventListenerWrapper()`
`HttpEventListenerWrapper(HttpEventListener eventListener, boolean delegating)`

Method Summary
`HttpEventListener` | `getEventListener()`
`boolean` | `isDelegatingRequests()`
`boolean` | `isDelegatingResponses()`
`void` | `onConnectionFailed(java.lang.Throwable ex)`
`void` | `onException(java.lang.Throwable ex)`
`void` | `onExpire()`
`void` | `onRequestCommitted()`
`void` | `onRequestComplete()`
`void` | `onResponseComplete()`
`void` | `onResponseContent(Buffer content)`
`void` | `onResponseHeader(Buffer name, Buffer value)`
`void` | `onResponseHeaderComplete()`
`void` | `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` | `onRetry()`
`void` | `setDelegatingRequests(boolean delegating)`
`void` | `setDelegatingResponses(boolean delegating)`
`void` | `setDelegationResult(boolean result)`
`void` | `setEventListener(HttpEventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpEventListenerWrapper

    public HttpEventListenerWrapper()

### HttpEventListenerWrapper

    public HttpEventListenerWrapper(HttpEventListener eventListener,
                                    boolean delegating)

Method Detail

### setDelegationResult

    public void setDelegationResult(boolean result)

### getEventListener

    public HttpEventListener getEventListener()

### setEventListener

    public void setEventListener(HttpEventListener listener)

### isDelegatingRequests

    public boolean isDelegatingRequests()

### isDelegatingResponses

    public boolean isDelegatingResponses()

### setDelegatingRequests

    public void setDelegatingRequests(boolean delegating)

### setDelegatingResponses

    public void setDelegatingResponses(boolean delegating)

### onConnectionFailed

    public void onConnectionFailed(java.lang.Throwable ex)

  Specified by:
    `onConnectionFailed` in interface `HttpEventListener`

### onException

    public void onException(java.lang.Throwable ex)

  Specified by:
    `onException` in interface `HttpEventListener`

### onExpire

    public void onExpire()

  Specified by:
    `onExpire` in interface `HttpEventListener`

### onRequestCommitted

    public void onRequestCommitted()
                            throws java.io.IOException

  Specified by:
    `onRequestCommitted` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onRequestComplete

    public void onRequestComplete()
                           throws java.io.IOException

  Specified by:
    `onRequestComplete` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onResponseComplete

    public void onResponseComplete()
                            throws java.io.IOException

  Specified by:
    `onResponseComplete` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onResponseContent

    public void onResponseContent(Buffer content)
                           throws java.io.IOException

  Specified by:
    `onResponseContent` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onResponseHeader

    public void onResponseHeader(Buffer name,
                                 Buffer value)
                          throws java.io.IOException

  Specified by:
    `onResponseHeader` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onResponseHeaderComplete

    public void onResponseHeaderComplete()
                                  throws java.io.IOException

  Specified by:
    `onResponseHeaderComplete` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onResponseStatus

    public void onResponseStatus(Buffer version,
                                 int status,
                                 Buffer reason)
                          throws java.io.IOException

  Specified by:
    `onResponseStatus` in interface `HttpEventListener`
  Throws:
    `java.io.IOException`

### onRetry

    public void onRetry()

  Specified by:
    `onRetry` in interface `HttpEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.